> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get artist listeners



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.artist.getArtistListeners
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.artist.getArtistListeners:
    get:
      tags:
        - app.rocksky.artist
      summary: Get artist listeners
      operationId: app.rocksky.artist.getArtistListeners
      parameters:
        - name: uri
          in: query
          description: The URI of the artist to retrieve listeners from
          required: true
          schema:
            type: string
            description: The URI of the artist to retrieve listeners from
            format: at-uri
        - name: offset
          in: query
          description: Number of items to skip before returning results
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: Maximum number of results to return
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  listeners:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/app.rocksky.artist.defs.listenerViewBasic
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.artist.defs.listenerViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the actor.
        did:
          type: string
          description: The DID of the listener.
        handle:
          type: string
          description: The handle of the listener.
        displayName:
          type: string
          description: The display name of the listener.
        avatar:
          type: string
          description: The URL of the listener's avatar image.
          format: uri
        mostListenedSong:
          $ref: '#/components/schemas/app.rocksky.artist.defs.songViewBasic'
        totalPlays:
          type: integer
          minimum: 0
        rank:
          type: integer
          minimum: 1
    app.rocksky.artist.defs.songViewBasic:
      type: object
      properties:
        uri:
          type: string
          description: The URI of the song.
          format: at-uri
        title:
          type: string
          description: The title of the song.
        playCount:
          type: integer
          minimum: 0
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````